Bug 600348 - SELinux is preventing /bin/bash "getattr" access on /proc/<pid>/net/if_inet6.
SELinux is preventing /bin/bash "getattr" access on /proc/<pid>/net/if_inet6.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:79a3b26660b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-04 10:05 EDT by harold molly
Modified: 2010-11-16 19:17 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-04 10:43:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description harold molly 2010-06-04 10:05:28 EDT
Summary:

SELinux is preventing /bin/bash "getattr" access on /proc//net/if_inet6.

Detailed Description:

SELinux denied access requested by ifdown-ipv6. It is not expected that this
access is required by ifdown-ipv6 and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:hotplug_t:s0
Target Context                system_u:object_r:proc_net_t:s0
Target Objects                /proc/<pid>/net/if_inet6 [ file ]
Source                        ifdown-ipv6
Source Path                   /bin/bash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           bash-4.0.33-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31.5-127.fc12.i686.PAE #1 SMP Sat Nov 7
                              21:25:57 EST 2009 i686 i686
Alert Count                   1
First Seen                    Sun 11 Apr 2010 09:19:23 AM CEST
Last Seen                     Sun 11 Apr 2010 09:19:23 AM CEST
Local ID                      6c59d5be-4021-466b-a8bd-ef7b77bae230
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1270970363.386:39): avc:  denied  { getattr } for  pid=4661 comm="ifdown-ipv6" path="/proc/4661/net/if_inet6" dev=proc ino=4026532212 scontext=system_u:system_r:hotplug_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1270970363.386:39): arch=40000003 syscall=195 success=no exit=-13 a0=9038838 a1=bfdbc2d8 a2=280ff4 a3=1 items=0 ppid=4645 pid=4661 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="ifdown-ipv6" exe="/bin/bash" subj=system_u:system_r:hotplug_t:s0 key=(null)



Hash String generated from  catchall,ifdown-ipv6,hotplug_t,proc_net_t,file,getattr
audit2allow suggests:

#============= hotplug_t ==============
allow hotplug_t proc_net_t:file getattr;
Comment 1 Daniel Walsh 2010-06-04 10:43:34 EDT
yum -y update

Note You need to log in before you can comment on or make changes to this bug.